#pragma once
#ifndef __THREADWIN_H__
#define __THREADWIN_H__

/*#include <Windows.h>
#include <process.h>*/

class CThread {
	HANDLE h;

public:
			CThread() {};
	virtual	~CThread() {};
	bool	Start();
	void	Wait();

protected:
	void	Exit();

	virtual void Run() = 0;

private:
	CThread(const CThread &th);
	static void ThreadRun(void* arg);
};

class CThreadLocker {
	CRITICAL_SECTION h;

public:
			CThreadLocker();
			~CThreadLocker();
	void	Lock();
	bool	TryLock();
	void	Unlock();

	CRITICAL_SECTION* handle();

private:
	CThreadLocker(const CThreadLocker &thl) {}
};

class CConditionVariable {
	CONDITION_VARIABLE h;

public:
			CConditionVariable();
	void	Wait(CThreadLocker &locker);
	void	WakeOne();
	void	WakeAll();

private:
	CConditionVariable(const CConditionVariable &cv) {}
};

#endif // __THREADWIN_H__
